// Copyright 1997-2000 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OIF/OIAnimationFrame.h,v 1.7 2000/01/19 23:36:18 kc Exp $

#import "OIImage.h"

#import <Foundation/NSDate.h> // For NSTimeInterval

@interface OIAnimationFrame : OIImage
{
    OIImage *image;
    NSTimeInterval delayInterval;
}

- initWithDelayInterval:(NSTimeInterval)aDelayInterval;

- (NSTimeInterval)delayInterval;

@end
